- job:
    name: tcwg-antoine-bench
    project-type: freestyle
    defaults: global
    properties:
        - authorization:
            anonymous:
                - job-read
                - job-extended-read
            everyone-flat:
                - job-build
                - job-cancel
        - build-discarder:
            days-to-keep: 30
            num-to-keep: 30
    disabled: false
    node: tcwg-jade-05
    display-name: 'TCWG bench test'
    concurrent: false
    parameters:
      - string:
          name: args
          default: ''
          description: 'bench script arguments'
    wrappers:
      - timestamps
      - ssh-agent-credentials:
          # tcwg-buildslave user id
          users:
              - 'e0958a95-204f-4c14-a66c-5e2be6c5d50a'
    builders:
        - shell: |
            #!/usr/bin/env bash
            set -ex

            [ -d "scripts" ] \
              || git clone https://git.linaro.org/people/antoine.moynault/scripts.git

            (
              cd scripts
              git fetch origin master
              git checkout FETCH_HEAD
            )

            ./scripts/bench-test.sh $args

    publishers:
      - archive:
          artifacts: 'artifacts/**'
          latest-only: false
      - html-publisher:
          name: 'HTML Report'
          dir: 'artifacts/jenkins'
          files: '*.html'
          keep-all: true
